/* ---- Gebo Admin dark theme ---- */



/* Loading message ------------------------------------------------------------------------------ */
#loading_container {
  width: 100%;
  height: 100%;
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #333;
  background-color: rgba(0, 0, 0, 0.85);
  text-align: center;
}
#loading_container2 {
  width: 100%;
  height: 100%;
  display: table;
}
#loading_container3 {
  display: table-cell;
  vertical-align: middle;
}
#loading_container4 {
  width: 350px;
  height: 250px;
  position: relative;
  background-color: #fff;
  font-size: 1.4rem;
  line-height: 1.4rem;
  color: #666;
  padding: 165px 0 0 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing:     border-box;
  box-sizing:          border-box;
  -webkit-border-radius: 6px;
  -moz-border-radius:    6px;
  border-radius:         6px;
  margin: 0 auto 0 auto;
}
#loading_container4:before {
  width: 100%;
  position: absolute;
  top: 80px;
  left: 0;
  font-family: 'FontAwesome', Arial, Helvetica, sans-serif;
  font-weight: normal;
  font-size: 4rem;
  line-height: 4rem;
  text-align: center;
  color: #f70;
  content: '\f013';
  -webkit-animation: spin 2s infinite linear;
  animation:         spin 2s infinite linear;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform:         rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
    transform:         rotate(359deg);
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform:         rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
    transform:         rotate(359deg);
  }
}

#message_container,
#noscript_container {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: #333;
  text-align: center;
  color: #fff;
}
#message_container {
  display: none;
}
#message,
#noscript {
  width: 980px;
  line-height: 20px;
  padding: 10px 5px 10px 6px;
  margin: 0 auto 0 auto;
}
#message  p,
#noscript p {
  display: inline-block;
  position: relative;
  padding: 0 0 0 28px;
}
#message  p:before,
#noscript p:before {
  width: 20px;
  height: 20px;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #f70;
  font-family: 'FontAwesome', Arial, Helvetica, sans-serif;
  font-weight: normal;
  font-size: 12px;
  line-height: 20px;
  text-align: center;
  color: #fff;
  -webkit-border-radius: 20px;
  -moz-border-radius:    20px;
  border-radius:         20px;
}
#message.success  p:before,
#noscript.success p:before {
  content: '\f00c';
}
#message.error  p:before,
#noscript.error p:before {
  content: '\f00d';
}

.error_box {
  text-align: center;
  padding: 20%;
}